## org.apache.batik.dom.svg
Class SVGAnimatedPathDataSupport

    java.lang.Object
      org.apache.batik.dom.svg.SVGAnimatedPathDataSupport

    public abstract class SVGAnimatedPathDataSupport

extends java.lang.Object

This class provide support for the SVGAnimatedPathData interface.

Constructor Summary
`SVGAnimatedPathDataSupport()`

Method Summary
`static void` `handlePathSegList(org.w3c.dom.svg.SVGPathSegList p, PathHandler h)` Uses the given `PathHandler` to handle the path segments from the given `SVGPathSegList`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGAnimatedPathDataSupport

    public SVGAnimatedPathDataSupport()

Method Detail

### handlePathSegList

    public static void handlePathSegList(org.w3c.dom.svg.SVGPathSegList p,
                                         PathHandler h)

  Uses the given `PathHandler` to handle the path segments from the given `SVGPathSegList`.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.